This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 862381 - [abrt] system-config-printer-1.3.8-4.fc16: cupspk.py:146:_call_with_pk_and_fallback:RuntimeError: Printer already in class
[abrt] system-config-printer-1.3.8-4.fc16: cupspk.py:146:_call_with_pk_and_fa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:a14420cb9330254ecc1a99f91bb...
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 14:42 EDT by Bernie Clarke
Modified: 2013-05-25 08:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.3.13-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-25 08:08:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernie Clarke 2012-10-02 14:42:44 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.4.9-2.fc16.i686.PAE
time:           Tue 02 Oct 2012 02:28:18 PM EDT
uid:            1000

backtrace:
:cupspk.py:146:_call_with_pk_and_fallback:RuntimeError: Printer already in class
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-printer/newprinter.py", line 3521, in on_btnNPApply_clicked
:    self.cups.addPrinterToClass(member, name)
:  File "/usr/share/system-config-printer/authconn.py", line 219, in <lambda>
:    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
:  File "/usr/share/system-config-printer/authconn.py", line 237, in _authloop
:    result = fn.__call__ (*args, **kwds)
:  File "/usr/share/system-config-printer/cupspk.py", line 643, in addPrinterToClass
:    *args, **kwds)
:  File "/usr/share/system-config-printer/cupspk.py", line 146, in _call_with_pk_and_fallback
:    return fallback_function(*args, **kwds)
:RuntimeError: Printer already in class
:
:Local variables in innermost frame:
:pk_retval: 'PolicyKit communication issue'
:e: DBusException('Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.',)
:kwds: {}
:fallback_function: <built-in method addPrinterToClass of cups.Connection object at 0xad921650>
:self: <cupspk.Connection instance at 0x99a8eac>
:args: ('Canon-imageRunner-2230', u'MyPrinters')
:cups_pk: <Interface <ProxyObject wrapping <dbus._dbus.SystemBus (system) at 0x96967dc> :1.380 / at 0x99a88ac> implementing 'org.opensuse.CupsPkHelper.Mechanism' at 0x99a8acc>
:pk_function: <dbus.proxies._DeferredMethod instance at 0x99a874c>
:pk_args: (u'MyPrinters', 'Canon-imageRunner-2230')
:pk_function_name: 'ClassAddPrinter'
:use_fallback: False

smolt_data:
:
:
:General
:=================================
:UUID: 8028b1be-3e26-476d-b7cf-34b2ff8282e3
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5984.88
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E8400  @ 3.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2991
:System Memory: 4034
:System Swap: 5087
:Vendor: Dell Inc.
:System: Vostro 230 00
:Form factor: Desktop
:Kernel: 3.4.9-2.fc16.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5777:4136:1086) pci, tg3, ETHERNET, NetLink BCM57788 Gigabit Ethernet PCIe
:(32902:10196:4136:1086) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10176:4136:1086) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:4136:1086) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:4136:1086) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10200:4136:1086) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10202:4136:1086) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:4136:1086) pci, None, PCI/PCI, 82801 PCI Bridge
:(4318:2662:6922:36960) pci, nouveau, VIDEO, GT218 [GeForce 310]
:(32902:10185:4136:1086) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4136:1086) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:11824:4136:1086) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:10186:4136:1086) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(4318:3043:6922:36960) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(32902:10187:4136:1086) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4136:1086) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:11825:4136:1086) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dbclarke-lv_root / ext4 4096 4096 12901535 10097165 9441805 3276800 2844552 2844552
:/dev/sda1 /boot ext4 1024 1024 495844 411752 386152 128016 127787 127787
:/dev/mapper/vg_dbclarke-lv_home /home ext4 4096 4096 226042646 167674177 156191861 57417728 57018680 57018680
:
Comment 1 Tim Waugh 2012-12-18 09:40:44 EST
Fixed upstream in revision bbe7f625.
Comment 2 Fedora End Of Life 2013-01-16 19:41:48 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2013-03-27 13:30:29 EDT
system-config-printer-1.3.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.13-1.fc18
Comment 4 Fedora Update System 2013-03-28 21:20:24 EDT
Package system-config-printer-1.3.13-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.13-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4511/system-config-printer-1.3.13-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-05-25 08:08:48 EDT
system-config-printer-1.3.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.